/*
 procinfo -- list process information
 Copyright (C) 2007 Daniel Molina Wegener <dmw@coder.cl>

 This program is free software; you can redistribute it and/or modify
 it under the terms of the GNU General Public License as published by
 the Free Software Foundation; either version 2 of the License, or
 (at your option) any later version.

 This program is distributed in the hope that it will be useful,
 but WITHOUT ANY WARRANTY; without even the implied warranty of
 MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 GNU General Public License for more details.

 You should have received a copy of the GNU General Public License
 along with this program; if not, write to the Free Software
 Foundation, Inc., 51 Franklin Steet, Fifth Floor, Boston, MA  02111-1307  US
 */

#ifndef PINFO_GREP_H
#define PINFO_GREP_H 1

#define PCRE_STATIC 1

pcre *pinfo_pcre_compile (const char *regex);
int pinfo_pcre_match (const pcre *regex, const char *str);
void pinfo_pcre_free (pcre *regex);

#endif /* !PINFO_GREP_H */
